<h1>{$service->lang['Traffic statistics']}</h1>
<form method="post">
    <label for="start_date">Start Date:</label>
    <input type="date" id="start_date" name="start_date" required>

    <label for="end_date">End Date:</label>
    <input type="date" id="end_date" name="end_date" required>

    <input type="submit" value="Submit">
</form>
<div id="last_30_days" style="width:100%; height:300px;"></div>
<hr>
<div id="avg_month" style="width:100%; height:300px;"></div>
<hr>

{if $trafficStatistics}
    <div class="card card-accent-blue panel panel-default panel-accent-blue">
        <table style="width:100%" class="table">
            <tr>
                <td><b>{$service->lang['Date']}</b></td>
                <td><b>{$service->lang['Download']}</b></td>
                <td><b>{$service->lang['Upload']}</b></td>
            </tr>
            {foreach from=$trafficStatistics item=dayData}
                <tr>
                    <td>{$dayData.date}</td>
                    <td>{$service->QuotaToGBorMB($dayData.traffic_download)}</td>
                    <td>{$service->QuotaToGBorMB($dayData.traffic_upload)}</td>
                </tr>
            {/foreach}
        </table>
    </div>
{/if}

<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
<script>
    // Устанавливаем начальную и конечную дату на первое и последнее число текущего месяца
    var today = new Date();
    var currentMonth = today.getMonth() + 1;
    var currentYear = today.getFullYear();
    var firstDay = new Date(currentYear, currentMonth - 1, 1).toISOString().slice(0, 10);
    var lastDay = new Date(currentYear, currentMonth, 0).toISOString().slice(0, 10);

    // Устанавливаем значения начальной и конечной даты в поля формы
    document.getElementById('start_date').value = firstDay;
    document.getElementById('end_date').value = lastDay;
    // Проверяем, если значения даты доступны в localStorage, устанавливаем их в поля формы
    var startDate = localStorage.getItem('start_date');
    var endDate = localStorage.getItem('end_date');

    if (startDate && endDate) {
        document.getElementById('start_date').value = startDate;
        document.getElementById('end_date').value = endDate;
    }

    // Сохраняем значения даты в localStorage при отправке формы
    document.querySelector('form').addEventListener('submit', function() {
        var startDate = document.getElementById('start_date').value;
        var endDate = document.getElementById('end_date').value;

        localStorage.setItem('start_date', startDate);
        localStorage.setItem('end_date', endDate);
    });

    google.charts.load('current', { 'packages':['corechart'] });
    google.charts.setOnLoadCallback(drawCharts);

    function drawCharts() {
        drawLast30Days();
        drawAvgMonth();
    }

    function drawLast30Days() {
        var data = google.visualization.arrayToDataTable([
            ['', '{$service->lang['Download']} GB','{$service->lang['Upload']} GB'],
            {foreach from=$trafficStatistics item=dayData}
            ['{$dayData.date}', {$dayData.traffic_download}, {$dayData.traffic_upload}],
            {/foreach}
        ]);
        var options = {
            title: '{$service->lang['Traffic statistics for the last 30 days.']}',
            legend: { position: 'top' },
            chartArea: {
                height: '70%',
                width: '85%'
            },
            height: '90%',
            width: '90%'
        };

        var chart = new google.visualization.ColumnChart(document.getElementById('last_30_days'));
        chart.draw(data, options);
    }

    function drawAvgMonth() {
        var data = new google.visualization.DataTable();
        data.addColumn('string', '');
        data.addColumn('number', '{$service->lang['Download']} GB');
        data.addColumn('number', '{$service->lang['Upload']} GB');

        {foreach from=$avgTrafficStatistics item=avgData}
        data.addRow(['{$avgData.month}', {$service->QuotaToGBorMB($avgData.avg_traffic_download)}, {$service->QuotaToGBorMB($avgData.avg_traffic_upload)}]);
        {/foreach}

        var options = {
            title: '{$service->lang['Average monthly traffic statistics.']}',
            height: '90%',
            width: '90%',
            vAxis: {
                title: '{$service->lang['Traffic']}',
                format: 'short'
            }
        };

        var chart = new google.visualization.ColumnChart(document.getElementById('avg_month'));
        chart.draw(data, options);
    }

    google.charts.setOnLoadCallback(drawAvgMonth);


    google.charts.setOnLoadCallback(drawAvgMonth);
</script>

